> For the complete documentation index, see [llms.txt](https://docs.unskript.com/unskript-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.unskript.com/unskript-documentation/connnecting/connectors/aws/action_aws/action_aws_eks.md).

# AWS EKS Actions

* [Copy EKS Pod logs to bucket.](https://github.com/unskript/Awesome-CloudOps-Automation/tree/master/AWS/legos/aws_eks_copy_pod_logs_to_bucket/README.md): Copy given EKS pod logs to given S3 Bucket.
* [Delete EKS POD in a given Namespace](https://github.com/unskript/Awesome-CloudOps-Automation/tree/master/AWS/legos/aws_eks_delete_pod/README.md): Delete a EKS POD in a given Namespace
* [List of EKS dead pods](https://github.com/unskript/Awesome-CloudOps-Automation/tree/master/AWS/legos/aws_eks_get_all_dead_pods/README.md): Get list of all dead pods in a given EKS cluster
* [List of EKS Namespaces](https://github.com/unskript/Awesome-CloudOps-Automation/tree/master/AWS/legos/aws_eks_get_all_namespaces/README.md): Get list of all Namespaces in a given EKS cluster
* [List of EKS pods](https://github.com/unskript/Awesome-CloudOps-Automation/tree/master/AWS/legos/aws_eks_get_all_pods/README.md): Get list of all pods in a given EKS cluster
* [List of EKS deployment for given Namespace](https://github.com/unskript/Awesome-CloudOps-Automation/tree/master/AWS/legos/aws_eks_get_deployments_name/README.md): Get list of EKS deployment names for given Namespace
* [Get CPU and memory utilization of node.](https://github.com/unskript/Awesome-CloudOps-Automation/tree/master/AWS/legos/aws_eks_get_node_cpu_memory/README.md): Get CPU and memory utilization of given node.
* [Get EKS Nodes](https://github.com/unskript/Awesome-CloudOps-Automation/tree/master/AWS/legos/aws_eks_get_nodes/README.md): Get EKS Nodes
* [List of EKS pods not in RUNNING State](https://github.com/unskript/Awesome-CloudOps-Automation/tree/master/AWS/legos/aws_eks_get_not_running_pods/README.md): Get list of all pods in a given EKS cluster that are not running.
* [Get pod CPU and Memory usage from given namespace](https://github.com/unskript/Awesome-CloudOps-Automation/tree/master/AWS/legos/aws_eks_get_pod_cpu_memory/README.md): Get all pod CPU and Memory usage from given namespace
* [EKS Get pod status](https://github.com/unskript/Awesome-CloudOps-Automation/tree/master/AWS/legos/aws_eks_get_pod_status/README.md): Get a Status of given POD in a given Namespace and EKS cluster name
* [EKS Get Running Pods](https://github.com/unskript/Awesome-CloudOps-Automation/tree/master/AWS/legos/aws_eks_get_running_pods/README.md): Get a list of running pods from given namespace and EKS cluster name
* [Run Kubectl commands on EKS Cluster](https://github.com/unskript/Awesome-CloudOps-Automation/tree/master/AWS/legos/aws_eks_run_kubectl_cmd/README.md): This action runs a kubectl command on an AWS EKS Cluster


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.unskript.com/unskript-documentation/connnecting/connectors/aws/action_aws/action_aws_eks.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
